# expected: 00000050, 000001AB
    .text
_start:
    auipc x12, 0x0
    addi x1, x0, 0x500
    # Write x1 in the next addi instruction, position 12+2 bytes
    # Due to type I immediate, x31 must contain 0x050
    sh x1, 18(x12)
    nop
    addi x31, x0, 0x0

    # Create an instruction bytes per bytes
    # addi x31, x0, 0x1AB -> 0x1AB00F93
    lui x1, 0x0F93
    srli x1, x1, 12
    lui x2, 0x1AB0
    srli x2, x2, 12
    sh x1, 48(x12)
    sh x2, 50(x12)
    nop

    # Instruction will be written here
    nop
